/*
  Tyba HTTP Server, v0.1  
  By Carlos Varela (cavarela@uniandes.edu.co, cvarela@isr.co.jp)
  March, 1996

  v0.2  July 8, 1996  cvarela :  Restructured server classes.
*/

import java.net.*;
import java.io.*;

class HTConnection {

    InetAddress inetAddress;
    InputStream inputStream;
    OutputStream outputStream;

    HTConnection(InetAddress ia, InputStream is, OutputStream os){
        this.inetAddress = ia;
        this.inputStream = is;
        this.outputStream = os;
    }

    void handleRequest(){
        try {
            HTRequest htrequest = new HTRequest(inputStream);  
            HTResponse htresponse = htrequest.process();
            if (htresponse != null)
                htresponse.send(outputStream);
            inputStream.close();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}


